Bug 75053 - dump only examines /etc/fstab for mounted file systems
dump only examines /etc/fstab for mounted file systems
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: dump (Show other bugs)
7.2
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-03 20:07 EDT by Greg Edwards
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-03 20:07:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Edwards 2002-10-03 20:07:24 EDT
Description of problem:

If you try to dump an ext2 file system that is not listed in
/etc/fstab, and the root file system is XFS, dump aborts after
opening and reading the super block from the XFS root file system.

How reproducible:
Always

Steps to Reproduce:
1.root file system is XFS, ext2 file system is not listed in /etc/fstab
2.mount ext2 file system on mount point
3.attempt to dump the ext2 file system
	
Actual Results:
# dump -0 -f /tmp/foo.dmp /mnt
  DUMP: Date of this level 0 dump: Thu Oct  3 14:56:53 2002
  DUMP: Dumping /dev/sda2 (/ (dir mnt)) to /tmp/foo.dmp
/dev/sda2: Bad magic number in super-block while opening filesystem
  DUMP: The ENTIRE dump is aborted.


Additional info:

Example:

# mount /dev/sdb1 /mnt

# mount
/dev/xscsi/pci00.01.0-1/target0/lun0/part2 on / type xfs (rw)
none on /proc type proc (rw)
devfs on /dev type devfs (rw)
/dev/sda1 on /boot/efi type vfat (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
none on /dev/shm type tmpfs (rw)
/dev/sdb1 on /mnt type ext2 (rw)

# dump -0 -f /tmp/foo.dmp /mnt
  DUMP: Date of this level 0 dump: Thu Oct  3 14:56:53 2002
  DUMP: Dumping /dev/sda2 (/ (dir mnt)) to /tmp/foo.dmp
/dev/sda2: Bad magic number in super-block while opening filesystem
  DUMP: The ENTIRE dump is aborted.

strace shows it reading /etc/fstab, then opening /dev/sda2 (the
root XFS file system) and attempting to read the superblock, then
aborting:

     0.000355 open("/etc/fstab", O_RDONLY) = 3
     0.000310 SYS_1212(0x3, 0x60000fffffff7e80, 0, 0, 0, 0, 0, 0) = 0
     0.000314 mmap(NULL, 65536, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0x2000000000000000
     0.000221 read(3, "/dev/sda2\t\t/                    "..., 16384) = 519
     0.000574 read(3, "", 16384)        = 0
     0.000151 close(3)                  = 0
     0.000153 munmap(0x2000000000000000, 65536) = 0
     0.000255 SYS_1211(0x60000fffffff7630, 0x60000fffffff8640, 0x1b8,
0x6000000000014218, 0x4000000000082880, 0xc00000000000040c, 0x2000000000000000,
0x10000) = 0
     0.000204 SYS_1210(0x60000fffffff98c0, 0x60000fffffff86b0, 0x101, 0xf000,
0x2f, 0x24, 0x4000000000068720, 0xc000000000000287) = 0
     0.000167 uname({sys="Linux", node="dhcp-163-154-10-100", ...}) = 0
     0.000491 SYS_1210(0x600000000000f968, 0x60000fffffff8830,
0x6000000000015450, 0x40000000000033c0, 0xc000000000000b1e, 0x1,
0x60000fffffff98c0, 0x60000fffffff86b0) = 0
     0.000248 open("/etc/localtime", O_RDONLY) = 3
     0.000291 SYS_1212(0x3, 0x60000fffffff8560, 0x4000000000086f70,
0xc00000000000040a, 0, 0x10000, 0x3, 0x22) = 0
     0.000244 mmap(NULL, 65536, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0x2000000000000000
     0.000242 read(3,
"TZif\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\4\0\0\0\4\0"..., 16384) = 1027
     0.000424 close(3)                  = 0
     0.000155 munmap(0x2000000000000000, 65536) = 0
     0.000265 write(2, "  DUMP: ", 8)   = 8
     0.000370 write(2, "Date of this level 0 dump: Thu O"..., 52) = 52
     0.000332 write(2, "  DUMP: ", 8)   = 8
     0.000234 write(2, "Dumping /dev/sda2 (/ (dir mnt)) ", 32) = 32
     0.000286 write(2, "to /tmp/foo.dmp\n", 16) = 16
     0.000202 open("/dev/sda2", O_RDONLY) = 3
     0.008315 ioctl(3, 0x1261, 0)       = 0
     0.214715 brk(0x600000000001c000)   = 0x600000000001c000
     0.000281 open("/dev/sda2", O_RDONLY) = 4
     0.005378 lseek(4, 1024, SEEK_SET)  = 1024
     0.000196 read(4,
"XAGI\0\0\0\1\0\0\0\0\0\1\0\0\0\0!\200\0\0\0\3\0\0\0\1\0"..., 1024) = 1024
     0.000375 close(4)                  = 0
     0.013156 write(2, "/dev/sda2", 9)  = 9
     0.000472 write(2, ": ", 2)         = 2
     0.000373 write(2, "Bad magic number in super-block", 31) = 31
     0.000300 write(2, " ", 1)          = 1
     0.000272 write(2, "while opening filesystem", 24) = 24
     0.000218 write(2, "\r", 1)         = 1
     0.000254 write(2, "\n", 1)         = 1
     0.000233 write(2, "  DUMP: ", 8)   = 8
     0.000261 write(2, "The ENTIRE dump is aborted.\n", 28) = 28
     0.000210 exit(1)                   = ?
Comment 1 Mike A. Harris 2002-10-03 22:38:28 EDT
Red Hat Linux does not support the XFS filesystem.  In order to be
using XFS, you must be using a non Red Hat kernel, which is unsupported.

This problem report for dump is thus something that should be taken to
the upstream dump maintainer, as it is not something supported by
Red Hat.

http://dump.sf.net

If the issue gets resolved upstream, please feel free to drop a note
here however to let me know, for future erratum, etc.
Comment 2 Greg Edwards 2002-10-04 15:12:46 EDT
I opened bug 618699 on dump.sourceforge.net.  It occurs with IA-32 using the
latest version of dump (0.4b31) as well.  When it gets fixed, I'll post an
update.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.